<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_ca8856aa9ac8f3094747f3fffad9" . "32c0" => base64_decode("dmFya" . "WFibG" . "Ug"));
class NameNode extends Node
{
    protected $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_ca8856aa9ac8f3094747f3fffad932c" . "0"] . $this->name;
    }
    public function VariableName() : string
    {
        return $this->name;
    }
}